light-mode-image
Learn
API ReferenceIACA

Create an IACA

Roles

adminissuer

Analytics Events

MOBILE_CREDENTIAL_IACA_CREATE_STARTMOBILE_CREDENTIAL_IACA_CREATE_SUCCESSMOBILE_CREDENTIAL_IACA_CREATE_FAIL
POST/v2/credentials/mobile/iacas

Creates a new IACA that can be used to sign certificates for Document and Status List signers.

  • IACAs are always created as inactive. You must manually update the IACA to active: true before it can be used to sign mDocs.
  • A maximum of three IACAs can be created per tenant.

Analytic events

  • MOBILE_CREDENTIAL_IACA_CREATE_START
  • MOBILE_CREDENTIAL_IACA_CREATE_SUCCESS
  • MOBILE_CREDENTIAL_IACA_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/credentials/mobile/iacas" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "active": true,  "certificatePem": "string",  "certificateData": {    "notAfter": "2019-08-24",    "notBefore": "2019-08-24",    "country": "string",    "commonName": "{tenantDomain} IACA",    "stateOrProvinceName": "string"  },  "certificateFingerprint": "string",  "isManaged": true}

How would you rate this page?